/*  $Id: BinaryExpression.h,v 1.3 1997/04/04 08:21:59 jan Exp $

    Part of XPCE
    Designed and implemented by Anjo Anjewierden and Jan Wielemaker
    E-mail: jan@swi.psy.uva.nl

    Copyright (C) 1993-1997 University of Amsterdam. All rights reserved.
*/

#ifndef _PCE_BINARYEXPRESSION_H
#define _PCE_BINARYEXPRESSION_H

PceExternalClass(ClassBinaryExpression);
class PceBinaryExpression :public PceObject
{
public:
  PceBinaryExpression(PceArg left, PceArg right) :
    PceObject(ClassBinaryExpression, left, right)
  {
  }
};

inline PceBinaryExpression
AsBinaryExpression(PceArg a)
{ return *((PceBinaryExpression*) &a);
}

#endif /*!_PCE_BINARYEXPRESSION_H*/
